Fedora Users Forum

Fedoraユーザのためのサポートフォーラム
現在時刻 - 2017年5月28日(日) 23:20

All times are UTC + 9 hours





新しいトピックを投稿する トピックへ返信する  [ 3 件の記事 ] 
作成者 メッセージ
 記事の件名: fedora14→fedora15へのアップグレード
投稿記事Posted: 2012年12月01日(土) 19:06 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2012年12月01日(土) 18:57
記事: 5
現時点(12.12.01)で、fedoraのversionが14を使っている者です。アップグレードを放っておいたので、今日アップグレードしようと行動したら、次の不具合が生じました。

# rpm --import
エラー: : インポートに失敗しました。

どうやら、上記のテキストをインポートしなければ15へのアップグレードはできないようです。解決策の提示をお願いします。


トップへ
 
 記事の件名: Re: fedora14→fedora15へのアップグレード
投稿記事Posted: 2012年12月02日(日) 16:49 
オフライン
Site Admin
アバター
プライベートメッセージ送信  メール  WWW  プロフィール

登録日時: 2008年9月08日(月) 21:17
記事: 428
所在地: 東京都
おそらく、GPGキーのインポートの問題だけではないと思いますよ。

release関連のパッケージをインストールすれば、GPGキーは自動的にインポートされると思いますので、下記の手順でF14からF15へのアップグレードを試みました。Virtual Boxの仮想環境(デフォルトの英語環境)を使いました。

$ wget http: //ftp.iij.ad.jp/pub/linux/fedora/releases/15/Everything/i386/os/Packages/fedora-release-rawhide-15-1.noarch.rpm

$ wget http: //ftp.iij.ad.jp/pub/linux/fedora/releases/15/Everything/i386/os/Packages/fedora-release-15-1.noarch.rpm

$ wget http: //ftp.iij.ad.jp/pub/linux/fedora/releases/15/Everything/i386/os/Packages/fedora-release-notes-15.0.0-1.fc15.noarch.rpm

$ su

# rpm -Uvh *.rpm

# yum clean all

# yum upgrade --skip-broken

結果は失敗で、エラーメッセージをみる限り、abrt関連などのいくつかのパッケージでアップグレードに適合したバージョンがリポジトリに存在しないものがあるようです。
(おそらく今後改めて提供されることもないと思うので解決策は思い浮かびません)


なお、F14もF15もすでにEOL(End Of Life)を迎えており、セキュリティーアップデートの提供が終了しているので、できればF16あるいはF17をクリーンインストールされた方が安全です。

ちなみに、アップグレードの際、rpmfusionなどのサードパーティーのパッケージを導入していたり、追加したパッケージの依存関係が崩れていたりすると、アップグレードに失敗することがあります。その場合の対処はケースバイケースですので、こうすれば解決すると一言では言えません。

【表示されたエラーの内容】
 コード: 全選択 大枠 小枠
Skip-broken could not solve problems
Error: Package: abrt-plugin-logger-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: abrt-desktop-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: pygtk2-libglade-2.17.0-7.fc14.i686 (@fedora/$releasever)
Requires: pygtk2 = 2.17.0-7.fc14
Removing: pygtk2-2.17.0-7.fc14.i686 (@fedora/$releasever)
pygtk2 = 2.17.0-7.fc14
Updated By: pygtk2-2.24.0-3.fc15.i686 (updates)
pygtk2 = 2.24.0-3.fc15
Installing: pygtk2-2.24.0-1.fc15.i686 (fedora)
pygtk2 = 2.24.0-1.fc15
Error: Package: gtk3-immodule-xim-2.90.5-1.fc14.i686 (@fedora/$releasever)
Requires: libgdk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgdk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
Error: Package: abrt-addon-kerneloops-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: gtk3-engines-2.90.3.1-4.fc14.i686 (@fedora/$releasever)
Requires: libgtk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgtk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
Error: Package: ibus-gtk3-1.3.7-11.fc14.i686 (@fedora/$releasever)
Requires: libgtk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgtk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
Error: Package: gtk3-immodule-xim-2.90.5-1.fc14.i686 (@fedora/$releasever)
Requires: gtk3 = 2.90.5-1.fc14
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
gtk3 = 2.90.5-1.fc14
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
gtk3 = 3.0.12-1.fc15
Installing: gtk3-3.0.9-1.fc15.i686 (fedora)
gtk3 = 3.0.9-1.fc15
Error: Package: abrt-plugin-runapp-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: abrt-gui-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: ibus-gtk3-1.3.7-11.fc14.i686 (@fedora/$releasever)
Requires: libgdk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgdk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
Error: Package: gtk3-engines-2.90.3.1-4.fc14.i686 (@fedora/$releasever)
Requires: libgdk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgdk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
Error: Package: abrt-plugin-bugzilla-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: abrt-addon-python-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: abrt-addon-ccpp-1.1.13-2.fc14.i686 (@fedora/$releasever)
Requires: abrt = 1.1.13-2.fc14
Removing: abrt-1.1.13-2.fc14.i686 (@fedora/$releasever)
abrt = 1.1.13-2.fc14
Updated By: abrt-2.0.3-7.fc15.i686 (updates)
abrt = 2.0.3-7.fc15
Available: abrt-2.0.2-5.fc15.i686 (fedora)
abrt = 2.0.2-5.fc15
Error: Package: gtk3-immodule-xim-2.90.5-1.fc14.i686 (@fedora/$releasever)
Requires: libgtk-x11-3.0.so.0
Removing: gtk3-2.90.5-1.fc14.i686 (@fedora/$releasever)
libgtk-x11-3.0.so.0
Updated By: gtk3-3.0.12-1.fc15.i686 (updates)
Not found
You could try running: rpm -Va --nofiles --nodigest


トップへ
 
 記事の件名: Re: fedora14→fedora15へのアップグレード
投稿記事Posted: 2013年2月13日(水) 00:46 
オフライン
プライベートメッセージ送信  メール  プロフィール

登録日時: 2012年12月01日(土) 18:57
記事: 5
---------
ありがとうございました。fedora18をインストールします。


トップへ
 
期間内表示:  ソート  
新しいトピックを投稿する トピックへ返信する  [ 3 件の記事 ] 

All times are UTC + 9 hours


オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[0人]


トピック投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
ファイル添付: 不可

検索:
ページ移動:  
cron

無料でマイフォーラムを作成する! · php-BB© · Internationalization Project · 不正利用を報告する · 使用条件/プライバシーポリシー
© Forums-Free.com 2009